coreBOS OpenSourceBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000175coreBOSOptimizationpublic2014-06-04 04:332017-09-21 14:49
Reporterpolanskiman 
Assigned Toomar 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSynologyOSDSM (Linux version 3.2.40)OS Version5.0-4482
Product Version5.4 
Target VersionFixed in Version 
Summary0000175: Please enter a valid Email (EMAIL)
DescriptionAs the summary says, when entering a unsually long email in the Email field it returns the following error:

"Please enter a valid Email (EMAIL)".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000157)
polanskiman (updater)
2014-06-04 04:39

The email address contains 37 characters all in small caps and no special symbol apart from the @. I have checked the database and strangely that field is supposed to accept a max of 100 characteres.
I have searched the web about this error but users usually had this problem due to the use of either big caps/special charateres or underscores and relate to previous versions of vtiger.
User avatar (0000162)
joebordes (manager)
2014-06-04 10:45

It is a problem with Firefox, it works correctly in Chrome.
I have a fix for that somewhere. Give me a little time and I will dig that up and apply it.
Get back to you soon.
User avatar (0000163)
polanskiman (updater)
2014-06-04 10:46
edited on: 2014-06-04 10:52

I am on Safari not Firefox. I tried it on Chrome and indeed it works now.

User avatar (0000176)
joebordes (manager)
2014-06-20 13:47

Fix committed to master branch. 7b011ff924f22b753d04453d441c9a73727f1392
User avatar (0000177)
joebordes (manager)
2014-06-20 13:49

I have applied the regular expression used by AngularJS, which is the same as the one used by Chrome for the HTML5 email validation field.

With this I suppose we should be safe because I'm not doing this myself but using the time and effort dedicated by others.

I did some basic testing of the more visible cases and it seems to be working correctly.
User avatar (0000178)
joebordes (manager)
2014-06-20 13:56

https://github.com/angular/angular.js/issues/5899 [^]
https://github.com/angular/angular.js/pull/6026/files [^]
User avatar (0000565)
omar (manager)
2017-09-21 14:49

Fix committed to master branch. f1977bec2c9ab6207a44e2309144aff982e5a1a7

- Related Changesets
coreBOS: master 7b011ff9
Timestamp: 2014-06-20 13:47:29
Author: joebordes
Details ] Diff ]
fixes 0000175: Please enter a valid Email: use angularjs/chrome email validation regular expression to fix issues with firefox and certain email formats
mod - include/js/general.js Diff ] File ]
coreBOS: master 13c953ae
Timestamp: 2014-07-17 11:07:26
Author: joebordes
Details ] Diff ]
related to issue 0000175: Please enter a valid Email:: email validation during install
mod - install/SetInstallationConfig.php Diff ] File ]
coreBOS: master f1977bec
Timestamp: 2017-09-21 14:49:26
Author: omar
Details ] Diff ]
fixes 0000175: style(Mobile): change login page, change field orders
mod - Smarty/templates/modules/Mobile/Login.tpl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-04 04:33 polanskiman New Issue
2014-06-04 04:39 polanskiman Note Added: 0000157
2014-06-04 10:45 joebordes Note Added: 0000162
2014-06-04 10:46 polanskiman Note Added: 0000163
2014-06-04 10:52 polanskiman Note Edited: 0000163 View Revisions
2014-06-20 13:47 joebordes Changeset attached => coreBOS master 7b011ff9
2014-06-20 13:47 joebordes Note Added: 0000176
2014-06-20 13:47 joebordes Assigned To => joebordes
2014-06-20 13:47 joebordes Status new => resolved
2014-06-20 13:47 joebordes Resolution open => fixed
2014-06-20 13:49 joebordes Note Added: 0000177
2014-06-20 13:56 joebordes Note Added: 0000178
2014-07-17 11:07 joebordes Changeset attached => coreBOS master 13c953ae
2017-09-21 14:49 omar Changeset attached => coreBOS master f1977bec
2017-09-21 14:49 omar Note Added: 0000565
2017-09-21 14:49 omar Assigned To joebordes => omar


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker